Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#1402 Unexpected error occured

1.0.6
closed
Robin Krom
Clipboard (76)
fixed
5
2013-10-24
2012-12-05
Anonymous
No

Greetings, below a bug report.

1) Pressed printscr inside a RDP session
2) Rightclicked the greenshot icon in the notification bar
3) Selected "Open image from clipboard"
4) Selected "Open in edit image"
5) Selected the crop tool and selected the spot in the opened image to crop
6) Pressed the green "v"
7) Crash with below bug report

Hope this helps, I really enjoy using Greenshot, keep up the good work.

Regards,
Will

Software version: 1.0.6.2228 (64 bit)
.NET runtime version: 4.0.30319.544
Time: 2012-12-05 10:33:34 +01:00
OS: Windows 7 Service Pack 1 (x64) 6.1 build 7601 revision 10000
GDI object count: 171
User object count: 105
Exception: System.OutOfMemoryException
Message: Onvoldoende geheugen.

Stack:
bij System.Drawing.Bitmap.Clone(Rectangle rect, PixelFormat format)
bij GreenshotPlugin.Core.ImageHelper.CloneArea(Image sourceBitmap, Rectangle sourceRect, PixelFormat targetFormat)
bij Greenshot.Drawing.Surface.ApplyCrop(Rectangle cropRectangle)
bij Greenshot.Drawing.Surface.ConfirmSelectedConfirmableElements(Boolean confirm)
bij Greenshot.ImageEditorForm.BtnConfirmClick(Object sender, EventArgs e)
bij System.Windows.Forms.ToolStripItem.HandleClick(EventArgs e)
bij System.Windows.Forms.ToolStripItem.HandleMouseUp(MouseEventArgs e)
bij System.Windows.Forms.ToolStrip.OnMouseUp(MouseEventArgs mea)
bij System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
bij System.Windows.Forms.Control.WndProc(Message& m)
bij System.Windows.Forms.ToolStrip.WndProc(Message& m)
bij Greenshot.Controls.ToolStripEx.WndProc(Message& m)
bij System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Configuration dump:
[Core]
Language=nl-NL
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Shift + Ctrl + PrintScreen
IsFirstLaunch=False
Destinations=Picker
ClipboardFormats=PNG,DIB
CaptureMousepointer=True
CaptureWindowsInteractive=False
CaptureDelay=100
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=True
OutputFilePath=C:\Users\will\Desktop
OutputFileAllowOverwrite=True
OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm_ss"}-${title}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Users\will\Desktop\agenda minco.png
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=1
LastUpdateCheck=12/04/2012 17:11:43
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij,idea
NoDWMCaptureForProduct=citrix,ica,client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
CheckForUnstable=False
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.*
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.*
TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=
EnableSpecialDIBClipboardReader=True

Discussion

  • Robin Krom
    Robin Krom
    2012-12-05

    Hallo Will,

    An OutOfMemory exception says it all, somehow there isn't enough memory for what you want to do.
    Can you tell us anything on the size of the desktop (width x height) of the remote system?
    Was Greenshot running for a long time? How do you usually use Greenshot?
    Did this happen before?

    Groeten,
    Robin

     
  • Robin Krom
    Robin Krom
    2012-12-05

    • milestone: --> 1.0.6
     
  • Robin Krom
    Robin Krom
    2012-12-13

    Hello Will,

    was the crop the first thing you did with the image, or did you already do any of these other actions: crop, shadow, border, grayscale, invert or torn edge?

    The problem might be undo / redo related, that there are to much bitmaps on the stack or in another Greenshot editor open..

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2013-01-24

    Can you test with the latest 1.1.0? It's still in development but it should be better and this problem should be fixed. If you get to much problems, you should go back to 1.0.6 (but I don't expect you want to)

    You can find it here:
    http://getgreenshot.org/version-history/

     
  • Robin Krom
    Robin Krom
    2013-02-06

    I think you might have hit a bug reported here [#1447], please check if this is similar for you.

    If there is no additional information the ticket will be closed in a week.

    Best wishes,
    Robin

     

    Related

    Bugs: #1447

  • Robin Krom
    Robin Krom
    2013-02-06

    • status: open --> pending
    • resolution: --> fixed
     
  • Jens Klingen
    Jens Klingen
    2013-10-24

    • status: pending --> closed
     
  • Jens Klingen
    Jens Klingen
    2013-10-24

    No more feedback... closing this.